create table RUM_2 (
	ID_RUM SERIAL primary key,
	ID_SEJOUR INT,
	DATE_ADMISSION DATE,
	DATE_SORTIE DATE,
	MODE_ADMISSION VARCHAR(255),
	MODE_SORTIE VARCHAR(255)
);

CREATE TABLE ACTE (
    ID_ACTE SERIAL PRIMARY KEY,
    LIBELLE_ACTE VARCHAR(255),
    CODE_ACTE VARCHAR(50),
    DATE_DEBUT_VALIDITE DATE,
    DATE_FIN_VALIDITE DATE
);


CREATE TABLE DIAGNOSTIC (
	ID_DIAGNOSTIC SERIAL PRIMARY key,
    LIBELLE_DIAGNOSTIC VARCHAR(255),
    CODE_DIAGNOSTIC VARCHAR(50),
    DATE_DEBUT_VALIDITE DATE,
    DATE_FIN_VALIDITE DATE
);

CREATE TABLE RUM_ACTE (
    ID_RUM_ACTE SERIAL PRIMARY KEY,
    ID_RUM INT REFERENCES RUM_2(ID_RUM),
    ID_ACTE INT REFERENCES ACTE(ID_ACTE),
    DATE_ACTE DATE,
    MODE_REALISATION VARCHAR(255)
);

CREATE TABLE RUM_DIAGNOSTIC (
    ID_RUM_DIAGNOSTIC SERIAL PRIMARY KEY,
    ID_RUM INT REFERENCES RUM_2(ID_RUM),
    ID_DIAGNOSTIC INT REFERENCES DIAGNOSTIC(ID_DIAGNOSTIC),
    DATE_DIAGNOSTIC DATE,
    TYPE_DIAGNOSTIC VARCHAR(255)
);



